Bug 668824 - Review Request: rubygem-text-hyphen - Multilingual word hyphenation according to modified TeX hyphenation pattern files
Summary: Review Request: rubygem-text-hyphen - Multilingual word hyphenation accordin...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-11 17:50 UTC by Mo Morsi
Modified: 2012-04-30 13:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-30 13:13:56 UTC


Attachments (Terms of Use)

Description Mo Morsi 2011-01-11 17:50:28 UTC
Spec URL: http://mo.morsi.org/files/rpms/rubygem-text-hyphen.spec
SRPM URL: http://mo.morsi.org/files/rpms/rubygem-text-hyphen-1.0.0-1.fc14.src.rpm

Description: 
Multilingual word hyphenation according to modified TeX hyphenation pattern files

Comment 1 Minnikhanov 2011-01-28 17:31:02 UTC
Some notes:

* License
  - Must be pick up one or set another by LICENSE file.

* BuildRoot
  - On Fedora BuildRoot line is no longer needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* %description
  - This section is empty. It will be better to fill.

* %install
  - rm -rf %{buildroot} at the beginning of %install isn't needed and
should be removed

* %check
  - Feel free run test suite in a %check section in the rpm

* %clean
  - %clean section is no longer needed (on Fedora):
https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

* %files
  - Should use only the defined %geminstdir macro in %files.
  - Some files and folders don't listed here.

* documents / -doc subpackage
  - Please consider to split document files (which are not
    needed on runtime) to -doc subpackage.
    The following files/directories can be moved to -doc subpackage
------------------------------------------------------
%{gemdir}/doc/%{gemname}-%{version}/
%{geminstdir}/ChangeLog
%{geminstdir}/tests/
# next line publish in Bugzilla?
%{geminstdir}/Rakefile  - I don't know where it must be. May be it need
only for tests.
------------------------------------------------------

* rpmbuild log:
------------------------------------------------------
...
+ gem install --local
--install-dir /home/pkg/rpmbuild/BUILDROOT/rubygem-text-hyphen-1.0.0-1.fc14.x86_64/usr/lib/ruby/gems/1.8 --force --rdoc /home/pkg/rpmbuild/SOURCES/text-hyphen-1.0.0.gem
+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/ChangeLog
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/INSTALL
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/LICENCE
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/README
+ umask 022
+ cd /home/pkg/rpmbuild/BUILD
+ rm
-rf /home/pkg/rpmbuild/BUILDROOT/rubygem-text-hyphen-1.0.0-1.fc14.x86_64
+ exit 0
------------------------------------------------------

 - There is twice definition - may be in %files

* rpmlint log:
------------------------------------------------------
rubygem-text-hyphen.noarch: E: summary-too-long C Multilingual word
hyphenation according to modified TeX hyphenation pattern files
rubygem-text-hyphen.noarch: E: no-description-tag
rubygem-text-hyphen.noarch: E:
non-executable-script /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/Rakefile 0644L /usr/bin/env
rubygem-text-hyphen.noarch: W:
hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/.yardoc
rubygem-text-hyphen.noarch: W:
hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/.yardoc
rubygem-text-hyphen.noarch: E:
non-executable-script /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/bin/hyphen 0644L /usr/bin/env
rubygem-text-hyphen.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/text-hyphen-1.0.0/ri/Text/Hyphen/clear_cache%21-i.yaml %21
rubygem-text-hyphen.noarch: E:
non-executable-script /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/tests/tc_text_hyphen.rb 0644L /usr/bin/env
rubygem-text-hyphen.src: E: summary-too-long C Multilingual word
hyphenation according to modified TeX hyphenation pattern files
rubygem-text-hyphen.src: E: no-description-tag
2 packages and 1 specfiles checked; 7 errors, 3 warnings.
------------------------------------------------------

Comment 2 Minnikhanov 2011-01-28 17:54:54 UTC
* %install
- Gem have permission 664, need 'chmod 644'

Comment 3 Mo Morsi 2011-02-01 23:21:59 UTC
Thanks alot for the review. Updated the rpm based on feedback:

Spec URL: http://mo.morsi.org/files/rpms/rubygem-text-hyphen.spec
SRPM URL:
http://mo.morsi.org/files/rpms/rubygem-text-hyphen-1.0.0-2.fc14.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2755541

If your taking this official review, please change the status of the bug to 'assigned', assign it to yourself, and change the 'fedora-review' flag to '?'

(In reply to comment #1)
> Some notes:
> 
> * License
>   - Must be pick up one or set another by LICENSE file.

Done. The licensing situation in this package is ugly (even says so in the LICENSE file). But I think I got it through the combination of including all the necessary licenses and removing the files with licenses incompatible for Fedora. This should be verified though.


> 
> * BuildRoot
>   - On Fedora BuildRoot line is no longer needed:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> 

Done


> * %description
>   - This section is empty. It will be better to fill.
> 

Done

> * %install
>   - rm -rf %{buildroot} at the beginning of %install isn't needed and
> should be removed
> 

Done

> * %check
>   - Feel free run test suite in a %check section in the rpm
> 

Done

> * %clean
>   - %clean section is no longer needed (on Fedora):
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> 

Done

> * %files
>   - Should use only the defined %geminstdir macro in %files.
>   - Some files and folders don't listed here.
> 

Done

> * documents / -doc subpackage
>   - Please consider to split document files (which are not
>     needed on runtime) to -doc subpackage.
>     The following files/directories can be moved to -doc subpackage
> ------------------------------------------------------
> %{gemdir}/doc/%{gemname}-%{version}/
> %{geminstdir}/ChangeLog
> %{geminstdir}/tests/
> # next line publish in Bugzilla?
> %{geminstdir}/Rakefile  - I don't know where it must be. May be it need
> only for tests.
> ------------------------------------------------------
> 

I'm going to leave it as is since the original gem ships w/ these files and there aren't too many of them. The necessary files have been marked as %doc though.



> * rpmbuild log:
> ------------------------------------------------------
> ...
> + gem install --local
> --install-dir
> /home/pkg/rpmbuild/BUILDROOT/rubygem-text-hyphen-1.0.0-1.fc14.x86_64/usr/lib/ruby/gems/1.8
> --force --rdoc /home/pkg/rpmbuild/SOURCES/text-hyphen-1.0.0.gem
> + /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
> + /usr/lib/rpm/redhat/brp-compress
> + /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
> + /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
> + /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
> + /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
> + /usr/lib/rpm/redhat/brp-python-hardlink
> + /usr/lib/rpm/redhat/brp-java-repack-jars
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/ChangeLog
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/INSTALL
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/LICENCE
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/README
> + umask 022
> + cd /home/pkg/rpmbuild/BUILD
> + rm
> -rf /home/pkg/rpmbuild/BUILDROOT/rubygem-text-hyphen-1.0.0-1.fc14.x86_64
> + exit 0
> ------------------------------------------------------
> 
>  - There is twice definition - may be in %files

Done.

> 
> * rpmlint log:
> ------------------------------------------------------
> rubygem-text-hyphen.noarch: E: summary-too-long C Multilingual word
> hyphenation according to modified TeX hyphenation pattern files

Done

> rubygem-text-hyphen.noarch: E: no-description-tag

Done

> rubygem-text-hyphen.noarch: E:
> non-executable-script /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/Rakefile
> 0644L /usr/bin/env
> rubygem-text-hyphen.noarch: W:
> hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/.yardoc
> rubygem-text-hyphen.noarch: W:
> hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/.yardoc
> rubygem-text-hyphen.noarch: E:
> non-executable-script /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/bin/hyphen
> 0644L /usr/bin/env

Not getting these locally, perhaps I fixed as part of something else?

> rubygem-text-hyphen.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/text-hyphen-1.0.0/ri/Text/Hyphen/clear_cache%21-i.yaml

Can be ignored, occurs in alot of ruby packages.

> %21
> rubygem-text-hyphen.noarch: E:
> non-executable-script
> /usr/lib/ruby/gems/1.8/gems/text-hyphen-1.0.0/tests/tc_text_hyphen.rb 0644L
> /usr/bin/env
> rubygem-text-hyphen.src: E: summary-too-long C Multilingual word
> hyphenation according to modified TeX hyphenation pattern files
> rubygem-text-hyphen.src: E: no-description-tag
> 2 packages and 1 specfiles checked; 7 errors, 3 warnings.
> ------------------------------------------------------

(In reply to comment #2)
> * %install
> - Gem have permission 664, need 'chmod 644'

Which file are you referring to here?

Comment 4 Jason Tibbitts 2012-04-26 01:32:33 UTC
I'm just looking over old review tickets and see that this one has been sitting around for ages.

Unfortunately we have new ruby packaging guidelines and this doesn't meet them.  Are you still interested in submitting this?  It doesn't look like gem2rpm has been updated yet but most of the changes are pretty simple and obvious from looking at what's in the new guidelines.

Comment 5 Mo Morsi 2012-04-30 13:13:56 UTC
Hrm, forgot the reason I originally submitted this, so closing for the time being (if anyone needs it, feel free to use my srpm as the basis for any updates).


Note You need to log in before you can comment on or make changes to this bug.